{
  "$schema": "node_modules/wrangler/config-schema.json",
  "name": "athena-auth",
  "main": "worker/src/index.ts",
  "compatibility_date": "2026-05-20",
  "compatibility_flags": [
    "nodejs_compat"
  ],
  "routes": [
    {
      "pattern": "auth.formations.company",
      "custom_domain": true
    }
  ],
  "observability": {
    "enabled": true,
    "traces": {
      "enabled": true
    },
    "logs": {
      "enabled": true,
      "invocation_logs": true
    }
  },
  "vars": {
    "HOST": "0.0.0.0",
    "PORT": "4000",
    "AUTH_BASE_PATH": "/api/auth",
    "BASE_URL": "https://auth.formations.company",
    "ATHENA_AUTH_COOKIE_DOMAIN": ".formations.company",
    "PUBLIC_AUTH_BASE_PATH": "/api/auth",
    "GITHUB_CALLBACK_URL": "https://xbp.app/api/callback/github",
    "ATHENA_AUTH_SKIP_SCHEMA_PROVISIONING": "true",
    "RUST_LOG": "athena_auth=debug,athena_auth_core=info",
    "PASSKEY_ALLOW_INSECURE": "false",
    "PASSKEY_ORIGIN": "https://auth.formations.company",
    "PASSKEY_RP_ID": "auth.formations.company",
    "PASSKEY_RP_NAME": "Suits Formations",
    "TRUSTED_ORIGINS": "http://localhost:*,https://*.athena-db.com,https://app.formations.company,https://*.athena-cluster.com,https://speedrun-formations.vercel.app,https://athena-auth-*-suits-finance.vercel.app,https://speedrun-formations-*-suits-finance.vercel.app,https://*-suits-finance.vercel.app,https://*.suits-formations.v2.athena-auth.com,https://*.*.athena-auth.com,https://*.athena-auth.com,suitsbooksmobileapp://,https://*.xbp.app,https://xbp.app,https://suits-formations-railway.athena-auth.com,http://127.0.0.1:*,https://mirror1.athena-cluster.com/api/auth/sign-in/email,https://*.formations.company,https://formations.company",
    "SMTP_HOST": "smtp.zeptomail.eu",
    "SMTP_PORT": "587",
    "SMTP_FROM_ADDRESS": "noreply@xbp.app",
    "SMTP_FROM_NAME": "Suits Formations",
    "GOOGLE_CLIENT_ID": "14641082008-cl7p7l0htb7rtvhkcuiugl536jcbhulb.apps.googleusercontent.com",
    "APPLE_CLIENT_ID": "com.suitsconnect",
    "MICROSOFT_CLIENT_ID": "038689b6-a3f1-43dd-a1e7-19cbf51375a6",
    "GITHUB_CLIENT_ID": "Ov23li2v6fFMvPgpmJQC",
    "GITHUB_CLIENT_SECRET": "2615995c7b6352c6d95f9ee8f3c8c910b622be9e"
  },
  "containers": [
    {
      "class_name": "AthenaAuthContainer",
      "image": "registry.cloudflare.com/a196ad9f98b8a2883f87e0d2d56ec3d5/athena-auth-athenaauthcontainer:ffacc4f-dualpath",
      "max_instances": 5
    }
  ],
  "durable_objects": {
    "bindings": [
      {
        "name": "ATHENA_AUTH_CONTAINER",
        "class_name": "AthenaAuthContainer"
      }
    ]
  },
  "migrations": [
    {
      "tag": "v1",
      "new_sqlite_classes": [
        "AthenaAuthContainer"
      ]
    }
  ]
}
